Bug 499585 - clarify minimum hardware requirements
clarify minimum hardware requirements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-release-notes (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: John J. McDonough
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 06:41 EDT by Rahul Sundaram
Modified: 2013-06-18 02:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: fedora-release-notes-19-0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jlaska: fedora_requires_release_note?


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-07 06:41:06 EDT
Description of problem:

Follow the thread and post below for details

http://forums.fedoraforum.org/showpost.php?p=1210625&postcount=65
Comment 1 Adam Williamson 2009-06-03 19:26:31 EDT
Further to this, a similar issue came up at the QA meeting this morning.

In at least one scenario, 512MB of RAM is not enough for an x86-64 install - that is, doing a PXE installation upgrading from F10 with an encrypted root partition. That's https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=503824 .

This is quite an obscure scenario, but there may be others. We would encourage perhaps the inclusion of a note like this, under the RAM requirements:

"Memory requirements for installation vary according to the type of installation being performed. More even than the recommended amount of memory may be required in some unusual cases."

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-06-09 11:18:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 A. Mani 2009-06-10 20:31:23 EDT
No problems on a
512MB RAM + ext4 + 2.0Ghz Single Core 64-bit Athlon (nvidia chipset)
(F11 x86-64 dvd install)
Comment 4 Adam Williamson 2009-06-10 20:46:10 EDT
it requires a more complex scenario than that (specifically, DVD install is OK, it has to be a PXE install or at least a network install to have trouble).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-04-27 10:10:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Paul W. Frields 2010-04-27 19:57:39 EDT
I'm interested in whether our processor recommendation needs work.  Currently it's 400 MHz, and that seems rather antiquated for anything but barebones server use.  I'm wondering whether we should simply remove the processor speed recommendation since there are too many varying lines of clocks out there, and just go with a processor type.  Jimmy's 1.6 GHz may not be equivalent to Betty's 1.6 GHz depending on the processor.  But most anyone with a P-III could install Fedora, although a P-IV is the oldest machine I'd want to use hands-on.
Comment 7 Bug Zapper 2010-06-28 08:24:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Adam Williamson 2011-05-09 16:33:01 EDT
re-opening and versioning as 'rawhide' so it doesn't expire again. this really needs updating. see:

https://bugzilla.redhat.com/show_bug.cgi?id=680542
https://bugzilla.redhat.com/show_bug.cgi?id=682555
https://bugzilla.redhat.com/show_bug.cgi?id=696805



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 John J. McDonough 2011-11-29 16:37:41 EST
This thing is getting pretty stale, and the current text is definitely outdated. 

A review of the weasel words in
http://git.fedorahosted.org/git/?p=docs/release-notes.git;a=commitdiff;h=2aee35f0a6b14138bde40cd9c24a59bca48baa3d
would be appreciated.
Comment 10 Adam Williamson 2011-11-29 16:49:03 EST
yeah, sorry for not keeping up to date on this.

I quite like the weasel words, though I'm not sure if we should also include a specific explanation of the arch flags Fedora packages are built with for the technically inclined who will know what they mean.

As far as RAM goes, this has been rather fluid lately: F15 was the worst (768MB is a reasonable minimum to cite for F15), F16 improved actual RAM usage during install but I believe the hard-coded floor in anaconda was left at 768MB for release, and for F17 things should improve again and probably be back to F14 state or better. We ought to do some tests with F17 once all the memory usage improvements have landed in anaconda and then we can update the 'minimum RAM' requirements again. I suspect we'll be looking at 384MB-512MB, but that's just an initial guess.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Fedora End Of Life 2013-04-03 16:41:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 Pete Travis 2013-06-14 01:09:14 EDT
I'm closing this after writing an updated Hardware Overview section. If the content in that section is not accurate for future releases, please reopen a new bug at that time.
Comment 14 Fedora Update System 2013-06-14 01:28:07 EDT
fedora-release-notes-19-0.12 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-release-notes-19-0.12
Comment 15 Fedora Update System 2013-06-14 19:11:14 EDT
Package fedora-release-notes-19-0.12:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-notes-19-0.12'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10839/fedora-release-notes-19-0.12
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-06-18 02:19:15 EDT
fedora-release-notes-19-0.12 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.